du(1)

NAME
du - Estimate file space usage

SYNOPSIS
du [--help] [-a|--all] [--apparent-size] [-B|--block-size] [-b|--bytes] [-c|--total] [-d|--max-depth] [-h|--human-readable] [--inodes] [-k ] [-l|--count-links] [-L|--dereference] [-D|--dereference-args] [-m ] [-0|--null] [-S|--separate-dirs] [-s|--summarize] [--si] [-x|--one-file-system] [-t|--threshold] [-v|--verbose] [--exclude] [-X|--exclude-from] [--time] [--time-style] [-V|--version] [FILE]

DESCRIPTION
Estimate file space usage

OPTIONS

--help
    Print help information.

-a, --all
    write counts for all files, not just directories

--apparent-size
    print apparent sizes, rather than disk usage although the apparent size is usually smaller, it may be larger due to holes in ('sparse') files, internal fragmentation, indirect blocks, and the like

-B, --block-size=SIZE
    scale sizes by SIZE before printing them. E.g., '-BM' prints sizes in units of 1,048,576 bytes. See SIZE format below.

-b, --bytes
    equivalent to '--apparent-size --block-size=1'

-c, --total
    produce a grand total

-d, --max-depth=N
    print the total for a directory (or file, with --all) only if it is N or fewer levels below the command line argument; --max-depth=0 is the same as --summarize

-h, --human-readable
    print sizes in human readable format (e.g., 1K 234M 2G)

--inodes
    list inode usage information instead of block usage like --block-size=1K

-k  like --block-size=1K

-l, --count-links
    count sizes many times if hard linked

-L, --dereference
    follow all symbolic links

-D, --dereference-args
    follow only symlinks that are listed on the command line

-m  like --block-size=1M

-0, --null
    end each output line with 0 byte rather than newline

-S, --separate-dirs
    do not include size of subdirectories

-s, --summarize
    display only a total for each argument

--si
    like -h, but use powers of 1000 not 1024

-x, --one-file-system
    skip directories on different file systems

-t, --threshold=SIZE
    exclude entries smaller than SIZE if positive, or entries greater than SIZE if negative

-v, --verbose
    verbose mode (option not present in GNU/Coreutils)

--exclude=PATTERN
    exclude files that match PATTERN

-X, --exclude-from=FILE
    exclude files that match any pattern in FILE

--time=WORD
    show time of the last modification of any file in the directory, or any of its subdirectories. If WORD is given, show time as WORD instead of modification time: atime, access, use, ctime, status, birth or creation
    [possible values: atime, access, use, ctime, status, birth, creation]

--time-style=STYLE
    show times using style STYLE: full-iso, long-iso, iso, +FORMAT FORMAT is interpreted like 'date'

-V, --version
    Print version

EXTRA
Display values are in units of the first available SIZE from --block-size, and the DU_BLOCK_SIZE, BLOCK_SIZE and BLOCKSIZE environment variables. Otherwise, units default to 1024 bytes (or 512 if POSIXLY_CORRECT is set). SIZE is an integer and optional unit (example: 10M is 10*1024*1024). Units are K, M, G, T, P, E, Z, Y (powers of 1024) or KB, MB,... (powers of 1000). PATTERN allows some advanced exclusions. For example, the following syntaxes are supported: ? will match only one character * will match zero or more characters {a,b} will match a or b

VERSION
v0.0.21